Show / Hide Table of Contents

# Class OpenIddictMongoDbExtensions

Exposes extensions allowing to register the OpenIddict MongoDB services.

##### Inheritance

System.Object
OpenIddictMongoDbExtensions

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Microsoft.Extensions.DependencyInjection

###### Assembly: cs.temp.dll.dll

##### Syntax

    public static class OpenIddictMongoDbExtensions

### Methods

#### UseMongoDb(OpenIddictCoreBuilder)

Registers the MongoDB stores services in the DI container and configures OpenIddict to use the MongoDB entities by default.

##### Declaration

    public static OpenIddictMongoDbBuilder UseMongoDb(this OpenIddictCoreBuilder builder)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictCoreBuilder | builder | The services builder used by OpenIddict to register new services.

##### Returns

Type | Description
--- | ---
OpenIddictMongoDbBuilder | The OpenIddictMongoDbBuilder.

##### Remarks

This extension can be safely called multiple times.

#### UseMongoDb(OpenIddictCoreBuilder, Action<OpenIddictMongoDbBuilder>)

Registers the MongoDB stores services in the DI container and configures OpenIddict to use the MongoDB entities by default.

##### Declaration

    public static OpenIddictCoreBuilder UseMongoDb(this OpenIddictCoreBuilder builder, Action<OpenIddictMongoDbBuilder> configuration)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictCoreBuilder | builder | The services builder used by OpenIddict to register new services.
System.Action<OpenIddictMongoDbBuilder> | configuration | The configuration delegate used to configure the MongoDB services.

##### Returns

Type | Description
--- | ---
OpenIddictCoreBuilder | The OpenIddictCoreBuilder.

##### Remarks

This extension can be safely called multiple times.